set ANSI_NULLS OFF
set QUOTED_IDENTIFIER OFF
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[a_sel_cat_resumenTempario]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[a_sel_cat_resumenTempario]
GO
CREATE PROCEDURE [dbo].[a_sel_cat_resumenTempario]
@p_id_catalogo as int
AS
BEGIN

select 'Veces Cotizado' as descripcion, convert(varchar,count(doc_itemDocumento.id)) as 	dato from doc_itemDocumento inner join [doc_documento.cotizacion]  as cotizacion on cotizacion.id=doc_itemDocumento.id_documento 
where id_documento>0 and id_catalogo=@p_id_catalogo and doc_itemDocumento.active=1

select 'Promedio Cotizado' as descripcion, convert(varchar,case when (count(doc_itemDocumento.id)) = 0 then 0 else sum(doc_itemDocumento.valorUnitarioPlaneado*doc_itemDocumento.cantidadPlaneado)/ count(doc_itemDocumento.id) end) as 	dato
from doc_itemDocumento inner join [doc_documento.cotizacion]  as cotizacion 	on cotizacion.id=doc_itemDocumento.id_documento where id_documento>0 and id_catalogo=@p_id_catalogo and doc_itemDocumento.active=1

select 'Numero Aplicaciones' as descripcion, convert(varchar,count([doc_documento_catalogo.tempario].id)) as dato
from [doc_documento_catalogo.tempario] inner join [doc_documento.ot]  as ot on ot.id=[doc_documento_catalogo.tempario].id_documento
where [doc_documento_catalogo.tempario].[id_catalogo.tempario]=@p_id_catalogo and [doc_documento_catalogo.tempario].active=1

select 'Número de Equipos (aplicados/se puede aplicar)' as descripcion,convert(varchar,B.aplicados)+'/'+convert(varchar,C.sePuedeAplicar) as dato
from (select count(A.equipo) as aplicados
from
(select [ot].[id_equipo] as equipo, max([doc_documento_catalogo.tempario].id) as dato
from [doc_documento_catalogo.tempario] 
inner join [doc_documento.ot]  as ot on ot.id=[doc_documento_catalogo.tempario].id_documento
inner join [equ_equipo] on [equ_equipo].[id]=[ot].[id_equipo]
where [doc_documento_catalogo.tempario].[id_catalogo.tempario]=@p_id_catalogo and [doc_documento_catalogo.tempario].active=1
group by [ot].[id_equipo]) A) B
,(select count([equ_equipo].[id]) as sePuedeAplicar
from equ_equipo
inner join [cat_catalogo.equipo] as modelo on modelo.id=[equ_equipo].[id_catalogo.equipo]
inner join [cat_catalogo.equipo_catalogo.tempario] as tempario on tempario.[id_catalogo.equipo]=modelo.id
where tempario.[id_catalogo.tempario]=@p_id_catalogo and equ_equipo.active=1) C
END

